%define rname   libxml
%define oname   %{rname}-ruby

Name:       ruby-%{rname}
Version:    2.6.0
Release:    %mkrel 7
Summary:    Ruby libxml bindings
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/xml4r/libxml-ruby
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     libxml-ruby-2.6.0-fixspec.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxml2-devel

%description
The Libxml-Ruby project provides Ruby language bindings for the GNOME
Libxml2 XML toolkit. It is free software, released under the MIT License.
Libxml-ruby's primary advantage over REXML is performance - if speed  is
your need, these are good libraries to consider, as demonstrated by the
informal benchmark below.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.6.0-7.mga4
+ Revision: 561675
- Fix gemspec to be able to load it

* Tue Dec 24 2013 pterjan <pterjan> 2.6.0-6.mga4
+ Revision: 560302
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.6.0-5.mga4
+ Revision: 537970
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.6.0-4.mga4
+ Revision: 488203
- update file list
- use gem-setup

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 2.6.0-2.mga4
+ Revision: 476937
- Fix file list

* Sun Jun 09 2013 fwang <fwang> 2.6.0-1.mga4
+ Revision: 441156
- new version 2.6.0

* Fri Feb 08 2013 umeabot <umeabot> 2.4.0-3.mga3
+ Revision: 396125
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.4.0-2.mga3
+ Revision: 381105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 shikamaru <shikamaru> 2.4.0-1.mga3
+ Revision: 333410
- new version 2.4.0

  + fwang <fwang>
    - rebuild for new ruby

* Mon Aug 20 2012 shlomif <shlomif> 2.3.3-1.mga3
+ Revision: 282570
- New version 2.3.3 (thanks to aghero)

* Fri Jun 08 2012 solbu <solbu> 2.3.2-1.mga3
+ Revision: 257159
- New version
- Spec cleanup

* Mon Feb 07 2011 shikamaru <shikamaru> 1.1.3-3.mga1
+ Revision: 48561
- imported package ruby-libxml


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.3-3mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 623176
- Fix Build
- require rubygems
- require ruby(abi) as suggested by proyvind
- Bump release
- new version 1.1.3
- use gem and %%gem_* macros to build the package
- fix URL
- fix license
- fix file list
- drop patch0 (code changed way too much in 3 years and isn't needed
  anymore)
  TODO: remove manual untar once rpm-5.3 lands

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.4-4mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.3.4-4mdv2008.0
+ Revision: 16811
- Use mkrel
- Use Development/Ruby group
- Use std macros

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-3mdk
- fix compilation with gcc4

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-2mdk
- lib64 fix

* Fri Feb 04 2005 Pascal Terjan <pterjan@mandrake.org> 0.3.4-1mdk
- First package
